com.fasterxml.jackson.databind.ser.std

## Class AtomicReferenceSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer<AtomicReference<?>>
      - - com.fasterxml.jackson.databind.ser.std.AtomicReferenceSerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer, Serializable

      public class AtomicReferenceSerializer
      extends ReferenceTypeSerializer<AtomicReference<?>>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer

      `_contentInclusion, _dynamicSerializers, _property, _referredType, _unwrapper, _valueSerializer, _valueTypeSerializer`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AtomicReferenceSerializer(AtomicReferenceSerializer base, BeanProperty property, TypeSerializer vts, JsonSerializer<?> valueSer, NameTransformer unwrapper, JsonInclude.Include contentIncl)`
    `` | `AtomicReferenceSerializer(ReferenceType fullType, boolean staticTyping, TypeSerializer vts, JsonSerializer<Object> ser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `_getReferenced(AtomicReference<?> value)`
    `protected Object` | `_getReferencedIfPresent(AtomicReference<?> value)`
    `protected boolean` | `_isValueEmpty(AtomicReference<?> value)`
    `protected AtomicReferenceSerializer` | `withResolved(BeanProperty prop, TypeSerializer vts, JsonSerializer<?> valueSer, NameTransformer unwrapper, JsonInclude.Include contentIncl)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer

      `_useStatic, acceptJsonFormatVisitor, createContextual, isEmpty, isUnwrappingSerializer, serialize, serializeWithType, unwrappingSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `createObjectNode, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, properties, replaceDelegatee, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomicReferenceSerializer

          public AtomicReferenceSerializer(ReferenceType fullType,
                                   boolean staticTyping,
                                   TypeSerializer vts,
                                   JsonSerializer<Object> ser)

    - #### AtomicReferenceSerializer

          protected AtomicReferenceSerializer(AtomicReferenceSerializer base,
                                   BeanProperty property,
                                   TypeSerializer vts,
                                   JsonSerializer<?> valueSer,
                                   NameTransformer unwrapper,
                                   JsonInclude.Include contentIncl)

  - ### Method Detail

    - #### withResolved

          protected AtomicReferenceSerializer withResolved(BeanProperty prop,
                                               TypeSerializer vts,
                                               JsonSerializer<?> valueSer,
                                               NameTransformer unwrapper,
                                               JsonInclude.Include contentIncl)

      Specified by:
        `withResolved` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _isValueEmpty

          protected boolean _isValueEmpty(AtomicReference<?> value)

      Specified by:
        `_isValueEmpty` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _getReferenced

          protected Object _getReferenced(AtomicReference<?> value)

      Specified by:
        `_getReferenced` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _getReferencedIfPresent

          protected Object _getReferencedIfPresent(AtomicReference<?> value)

      Specified by:
        `_getReferencedIfPresent` in class `ReferenceTypeSerializer<AtomicReference<?>>`

Copyright © 2008–2016 FasterXML. All rights reserved.